For the complete documentation index, see llms.txt. This page is also available as Markdown.

Systems

This endpoint allows you to perform actions on a specific System of your Team.

Fetch All Systems

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
Responseobject
get/api/v1/systems
GET /api/v1/systems HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

[
  {
    "id": "69f25acc-7eb8-494b-bb64-7671b5726e2d",
    "created_at": "2024-08-15 10:48:44",
    "name": "GoodAccess System",
    "is_valid": true,
    "port": "8080",
    "host": "goodaccess.com",
    "uri": "https://goodaccess.com",
    "services": [
      {
        "port": "1-23",
        "protocol": "UDP",
        "type": "HTTP"
      }
    ]
  }
]

Fetch System by its ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
systemIdstringRequired

ID of system

Responses
200

OK

application/json
Responseobject
get/api/v1/system/{systemId}
GET /api/v1/system/{systemId} HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "69f25acc-7eb8-494b-bb64-7671b5726e2d",
  "created_at": "2024-08-15 10:48:44",
  "name": "GoodAccess System",
  "is_valid": true,
  "port": "8080",
  "host": "goodaccess.com",
  "is_isolated": false,
  "uri": "https://goodaccess.com",
  "services": [
    {
      "port": "1-23",
      "protocol": "UDP",
      "type": "HTTP"
    }
  ]
}

Create System

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
objectOptional

To create an advanced system, include the services field in the request body. Once this field is present, an advanced system will be created and the port and protocol defined in the basic system will be ignored.

Example: {"name":"GoodAccess Example System","host":"https://goodaccess.com","uri":"https://goodaccess.com","port":"8080","is_isolated":true,"protocol":"UDP","services":[{"port":"1-23","protocol":"UDP","type":"HTTP"}]}
Responses
200

OK

application/json
Responseobject
post/api/v1/system
POST /api/v1/system HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 209

{
  "name": "GoodAccess Example System",
  "host": "https://goodaccess.com",
  "uri": "https://goodaccess.com",
  "port": "8080",
  "is_isolated": true,
  "protocol": "UDP",
  "services": [
    {
      "port": "1-23",
      "protocol": "UDP",
      "type": "HTTP"
    }
  ]
}
{
  "created_id": "4514960a-2b6d-46a2-9c22-c02cc727abb7",
  "message": "System created successfully"
}

Update System by its ID

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
systemIdstringRequired

ID of system

Body
objectOptionalExample: {"name":"GoodAccess Example System","host":"https://goodaccess.com","uri":"https://goodaccess.com","is_isolated":true,"port":"8080","protocol":"UDP","services":[{"port":"1-23","protocol":"UDP","type":"HTTP"}]}
Responses
200

OK

application/json
Responseobject
put/api/v1/system/{systemId}
PUT /api/v1/system/{systemId} HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 209

{
  "name": "GoodAccess Example System",
  "host": "https://goodaccess.com",
  "uri": "https://goodaccess.com",
  "is_isolated": true,
  "port": "8080",
  "protocol": "UDP",
  "services": [
    {
      "port": "1-23",
      "protocol": "UDP",
      "type": "HTTP"
    }
  ]
}
{
  "message": "System updated successfully"
}

Remove System by its ID

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
delete/api/v1/system/{systemId}
DELETE /api/v1/system/{systemId} HTTP/1.1
Host: integration.goodaccess.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Relations

Last updated

Was this helpful?